<link rel="import" href="chrome://resources/html/polymer.html">

<link rel="import" href="../browser_proxy.html">
<link rel="import" href="../icons.html">
<link rel="import" href="../permission_item.html">
<link rel="import" href="../pin_to_shelf_item.html">
<link rel="import" href="../shared_style.html">
<link rel="import" href="../store_client.html">
<link rel="import" href="chrome://resources/cr_elements/cr_icon_button/cr_icon_button.html">
<link rel="import" href="chrome://resources/cr_elements/icons.html">

<dom-module id="app-management-plugin-vm-detail-view">
  <template>
    <style include="app-management-shared-css">
    </style>

    <div class="permission-list">
      <app-management-pin-to-shelf-item
          id="pin-to-shelf-setting"
          class="permission-card-row separated-row header-text"
          app="[[app_]]">
      </app-management-pin-to-shelf-item>
      <div class="permission-card-row">
        <div class="permission-section-header">
          <div class="header-text">$i18n{appManagementPermissionsLabel}</div>
        </div>
        <div class="permission-list indented-permission-block">
          <template is="dom-if" if="[[showCameraPermissions_]]">
            <app-management-permission-item
                id="camera-permission"
                class="subpermission-row" icon="app-management:camera"
                sync-permission-manually
                permission-label="$i18n{appManagementCameraPermissionLabel}"
                permission-type="CAMERA"
                on-change="onPermissionChanged_">
            </app-management-permission-item>
          </template>
          <template is="dom-if" if="[[showMicrophonePermissions_]]">
            <app-management-permission-item
                id="microphone-permission"
                class="subpermission-row" icon="app-management:microphone"
                sync-permission-manually
                permission-label="$i18n{appManagementMicrophonePermissionLabel}"
                permission-type="MICROPHONE"
                on-change="onPermissionChanged_">
            </app-management-permission-item>
          </template>
          <app-management-permission-item
              class="subpermission-row" icon="cr:print"
              permission-label="$i18n{appManagementPrintingPermissionLabel}"
              permission-type="PRINTING">
          </app-management-permission-item>
        </div>
      </div>

      <div class="permission-card-row separated-row header-text clickable"
          on-click="onSharedPathsClick_">
        <div id="sharedPathsLabel" class="header-text" aria-hidden="true">
          $i18n{pluginVmSharedPaths}
        </div>
        <div class="permission-row-controls">
          <cr-icon-button class="subpage-arrow app-management-item-arrow"
              role="link" tabindex="0" aria-labelledby="sharedPathsLabel">
          </cr-icon-button>
        </div>
      </div>
      <div class="permission-card-row separated-row header-text clickable"
          on-click="onSharedUsbDevicesClick_">
        <div id="sharedUsbDevicesLabel" class="header-text" aria-hidden="true">
          $i18n{pluginVmSharedUsbDevicesLabel}
        </div>
        <div class="permission-row-controls">
          <cr-icon-button class="subpage-arrow app-management-item-arrow"
              role="link" tabindex="0" aria-labelledby="sharedUsbDevicesLabel">
          </cr-icon-button>
        </div>
      </div>
    </div>

    <template is="dom-if" if="[[showDialog_]]" restamp>
      <cr-dialog close-text="$i18n{close}" show-on-attach on-cancel="onCancel_">
        <div slot="body">[[dialogText_]]</div>
        <div slot="button-container">
          <cr-button class="cancel-button" on-click="onCancel_">
            $i18n{cancel}
          </cr-button>
          <cr-button class="action-button" on-click="onRelaunchTap_">
            $i18n{pluginVmPermissionDialogRelaunchButton}
          </cr-button>
        </div>
      </cr-dialog>
    </template>
  </template>
  <script src="plugin_vm_detail_view.js"></script>
</dom-module>
